Appointment Calendars
List appointment calendars
Use this to find calendar ids before inspecting one with appointmentCalendars.get or checking slots with appointmentCalendars.getAvailability. Returns calendars in this workspace.
GET
/
v1
/
appointment-calendars
List appointment calendars
curl --request GET \
--url https://app.chatbotx.io/api/v1/appointment-calendars \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/appointment-calendars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/appointment-calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"active": true,
"timezone": "<string>",
"durationMinutes": -1,
"bufferAfterMinutes": -1,
"locationType": "inPerson",
"locationDetail": "<string>",
"scheduleWindowType": "rollingDays",
"scheduleWindowConfig": "<string>",
"maxAppointmentsPerUser": -1,
"dailyLimitEnabled": true,
"maxPerDay": -1,
"allowGroupMeeting": true,
"maxPerSlot": -1,
"confirmationMessage": "<string>",
"confirmationFlowId": "<string>",
"cancellationFlowId": "<string>",
"externalConnectionId": "<string>",
"publicLinkSlug": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pageCount": 0
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, starting at 1.
Required range:
1 <= x <= 9007199254740991Number of items per page, up to 50.
Required range:
1 <= x <= 50Case-insensitive substring match against the calendar's name.
Was this page helpful?
⌘I
List appointment calendars
